--- title: "GetDashboardWidgetList" slug: "management-cloudinsight-getdashboardwidgetlist" tags: ["Cloud Insight"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-getdashboardwidgetlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetDashboardWidgetList Available in Classic and VPC Get the list of widgets on a dashboard. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /cw_fea/real/cw/api/chart/dashboard/{dashboardId}/widgets | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `dashboardId` | String | Required | Dashboard ID - See [GetDashboardList](/docs/en/management-cloudinsight-getdashboardlist) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/chart/dashboard/**********/widgets' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `dashboardId` | String | - | Dashboard ID | | `name` | String | - | Dashboard name | | `widgetId` | String | - | Widget ID | ### Response status codes For response status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ { "dashboardId": "**********", "name": "Memory Utilization", "widgetId": "**********" }, { "dashboardId": "**********", "name": "CPU Utilization Average", "widgetId": "**********" }, { "dashboardId": "**********", "name": "File System Utilization Average", "widgetId": "**********" }, { "dashboardId": "**********", "name": "Network Out Average", "widgetId": "**********" }, { "dashboardId": "**********", "name": "Network In Average", "widgetId": "**********" }, { "dashboardId": "**********", "name": "Total GPU Count", "widgetId": "**********" }, { "dashboardId": "**********", "name": "Current GPU MEM Usage", "widgetId": "**********" }, { "dashboardId": "**********", "name": "Current GPU MEM Usage", "widgetId": "**********" }, { "dashboardId": "**********", "name": "Current GPU Usage", "widgetId": "**********" } ] ```